MPD 0.20.6

- Main Page
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Public Member Functions
Domain Class Reference

`#include <Domain.hxx>`

## Public Member Functions
constexpr | Domain (const char *_name)
| Domain (const Domain &)=delete
Domain & | operator= (const Domain &)=delete
constexpr const char * | GetName () const
bool | operator== (const Domain &other) const
bool | operator!= (const Domain &other) const

## Detailed Description

Definition at line 33 of file Domain.hxx.

## Constructor & Destructor Documentation

constexpr Domain::Domain | ( | const char * | _name | ) |
| inline explicit

Definition at line 37 of file Domain.hxx.

Domain::Domain | ( | const Domain & |  | ) |
| delete

## Member Function Documentation

constexpr const char* Domain::GetName | ( |  | ) | const
| inline

Definition at line 43 of file Domain.hxx.

bool Domain::operator!= | ( | const Domain & | other | ) | const
| inline

Definition at line 51 of file Domain.hxx.

Domain& Domain::operator= | ( | const Domain & |  | ) |
| delete

bool Domain::operator== | ( | const Domain & | other | ) | const
| inline

Definition at line 47 of file Domain.hxx.

The documentation for this class was generated from the following file:

- util/Domain.hxx